#
# spec file for package retry
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           retry
Version:        1687953576.0230dc5
Release:        1.1
Summary:        A simple tool for retrying command executions in plain POSIX sh
License:        MIT
Group:          Development/Tools/Other
BuildArch:      noarch
URL:            https://github.com/okurz/retry
Source0:        %{name}-%{version}.tar.xz
Requires:       util-linux

%description
A simple tool for retrying command executions in plain POSIX sh.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_bindir}
%make_install

%check

%files
%{_bindir}/retry

%changelog
* Wed Jun 28 2023 okurz@suse.com
- Update to version 1687953576.0230dc5:
  * dist: Add missing dependency on util-linux for getopt
* Mon Jun 27 2022 okurz@suse.com
- Update to version 1655407786.7ff7de5:
  * CI: Fix mergify branch rule
  * Add optional parameter for fine-tuning base factor
  * Add mock for sleep
  * Add tests for exponential back-off
  * Add simple binary exponential back-off algorithm
  * Document default sleep value
  * dist: Rephrase summary trying to prevent name repetition
  * dist: Skip build-tests due to test-more-bash absence
  * CI: Rely on environment provided checkbashisms by default
* Sun Jun 12 2022 Oliver Kurz <okurz@suse.com>
- Initial package creation
